<mat-toolbar role="heading" style="background-color: wheat; position: fixed;" class="toolbar mat-elevation-z6">
  <!-- <a mat-button class="mat-button-wrapper link logo headerlink" style="color: black;">Home</a> -->
  <img style="background-color: transparent; border-width: 0;" width="86px" class="mat-button-wrapper link logo headerlink" src="./assets/images/logo.png" alt="logoImage" class="image img-thumbnail">
  <a style="margin-left: 5%;" mat-button class="mat-button-wrapper link headerlink" style="color: black;" routerLink="/books">Books</a>
  <a mat-button class="mat-button-wrapper link headerlink" style="color: black;" routerLink="/categories">Categories</a>
  <a mat-button class="mat-button-wrapper link headerlink" *ngIf="logged_in_user && logged_in_user.isAdmin" style="color: black;"  routerLink="/admin">Admin</a>
  <a mat-button class="mat-button-wrapper link headerlink" style="color: black;" routerLink="/about">About</a>
  <span class="fill-remaining-space"></span>
  <a *ngIf="!logged_in_user" mat-button class="mat-button-wrapper link headerlink" style="color: black;" routerLink="/login">Login</a>
  <a *ngIf="logged_in_user" mat-button class="mat-button-wrapper link headerlink" style="color: black;" (click)="Logout()">Logout</a>
  <div style="width: 10% !important;" class="w-100">
    <ul class="navbar-nav">
      <li class="nav-item ml-0 ml-md-2">
        <a routerLink="/cart" routerLinkActive="active" class="nav-link">
          <i class="fa fa-shopping-cart mr-1"></i>
          Cart
          <span *ngIf="data.cartItems" class="badge badge-warning ml-1">{{ data.cartItems }}</span>
        </a>
      </li>
    </ul>
  </div>
</mat-toolbar>
<router-outlet></router-outlet>
